use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_class::models::MemberClass>
  for bpr::models::member_class::MemberClass
{
  fn from(d: &repositories::member_class::models::MemberClass) -> Self {
    bpr::models::member_class::MemberClass {
      id: d.id.to_string(),
      parent_id: d.parent_id.map(|d| d.to_string()),
      name: d.name.clone(),
      show: d.show,
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
